## org.apache.commons.collections.iterators
Class EmptyOrderedIterator

    java.lang.Object
      org.apache.commons.collections.iterators.AbstractEmptyIterator
          org.apache.commons.collections.iterators.EmptyOrderedIterator

All Implemented Interfaces:
  Iterator, OrderedIterator, ResettableIterator

public class EmptyOrderedIterator
extends org.apache.commons.collections.iterators.AbstractEmptyIterator
implements OrderedIterator, ResettableIterator

Provides an implementation of an empty ordered iterator.

Since:
  Commons Collections 3.1
Version:
  $Revision: 1.1 $ $Date: 2004/05/26 21:52:40 $
Author:
  Stephen Colebourne

Field Summary
`static OrderedIterator` `INSTANCE` Singleton instance of the iterator.

Constructor Summary
`protected` `EmptyOrderedIterator()` Constructor.

Method Summary
`void` `add(Object obj)`
`Object` `getKey()`
`Object` `getValue()`
`boolean` `hasNext()`
`boolean` `hasPrevious()` Checks to see if there is a previous entry that can be iterated to.
`Object` `next()`
`int` `nextIndex()`
`Object` `previous()` Gets the previous element from the collection.
`int` `previousIndex()`
`void` `remove()`
`void` `reset()` Resets the iterator back to the position at which the iterator was created.
`void` `set(Object obj)`
`Object` `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.collections.OrderedIterator
`hasPrevious, previous`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Methods inherited from interface org.apache.commons.collections.ResettableIterator
`reset`

Field Detail

### INSTANCE

    public static final OrderedIterator INSTANCE

  Singleton instance of the iterator.

  Since:
    Commons Collections 3.1

Constructor Detail

### EmptyOrderedIterator

    protected EmptyOrderedIterator()

  Constructor.

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Object next()

### hasPrevious

    public boolean hasPrevious()

### previous

    public Object previous()

### nextIndex

    public int nextIndex()

### previousIndex

    public int previousIndex()

### add

    public void add(Object obj)

### set

    public void set(Object obj)

### remove

    public void remove()

### getKey

    public Object getKey()

### getValue

    public Object getValue()

### setValue

    public Object setValue(Object value)

### reset

    public void reset()

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.